
Core - Bug # 54943

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:
Created: 2014-01-13 Assigned To:
Updated: 2014-01-29 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Installer does not display fatal errors that lead to extension check
Description

When something breaks in the install tool - like update classes for example - the installer redirects you to the loaded extensions
check. You have absolutely no clue why this happens.

On my machine an outdated devlog version caused the fatal as it tried to access the protected property
TYPO3\CMS\Core\Database\DatabaseConnection::$link.

A box with the fatal that caused the check should be showed.

Related issues:
related to Core - Feature # 51362: Hint to check errorlog when an extension i... Resolved 2013-08-26

Associated revisions
Revision 7bc9a4e9 - 2014-01-29 20:04 - Thomas Maroschik

[BUGFIX] Display detected fatal in extension check

In the installer fatals can happen during updates of
very outdated extensions. Many updates can lead to a
redirect to the extension check where the user gets
displayed a message that a fatal has been detected.
But the detected fatal error itself is not displayed.

This patch passes the error as url parameter to the
extension check and displays it there.

Fixes: #54943
Releases: 6.2
Change-Id: I111df5d5411015b21c4b2b5e9be3b83b311c8bc5
Reviewed-on: https://review.typo3.org/26781
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Thomas Maroschik
Reviewed-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Reviewed-by: Markus Klein
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-01-13 12:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26781

#2 - 2014-01-13 12:34 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26781

#3 - 2014-01-29 13:35 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26781

#4 - 2014-01-29 20:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7bc9a4e997e635d1db2ecb23b99d4882efb5ded0.
